Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbulkmail/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 8099 2001-10-30 17:35:04Z fh $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezhttptool.php" );
28 // include_once( "ezuser/classes/ezpermission.php" );
29
30 $user =& eZUser::currentUser();
31 if( eZPermission::checkPermission( $user, "eZBulkMail", "ModuleEdit" ) == false )
32 {
33 eZHTTPTool::header( "Location: /error/403" );
34 exit();
35 }
36
37 switch ( $url_array[2] )
38 {
39 case "categorylist":
40 {
41 $CategoryID = $url_array[3];
42 $Offset = $url_array[4];
43 if( $Offset == "" )
44 $Offset = 0;
45 include( "kernel/ezbulkmail/admin/categorylist.php" );
46 }
47 break;
48
49 case "categoryedit" :
50 {
51 $CategoryID = $url_array[3];
52 if( !is_numeric( $CategoryID ) )
53 $CategoryID = 0;
54 include( "kernel/ezbulkmail/admin/categoryedit.php" );
55 }
56 break;
57
58 case "templatelist" :
59 {
60 include( "kernel/ezbulkmail/admin/templatelist.php" );
61 }
62 break;
63
64 case "templateedit" :
65 {
66 $TemplateID = $url_array[3];
67 if( !is_numeric( $TemplateID ) )
68 $TemplateID = 0;
69 include( "kernel/ezbulkmail/admin/templateedit.php" );
70 }
71 break;
72
73 case "mailedit" :
74 {
75 $MailID = $url_array[3];
76 if( !is_numeric( $MailID ) )
77 $MailID = 0;
78 include( "kernel/ezbulkmail/admin/mailedit.php" );
79 }
80 break;
81
82 case "drafts" :
83 {
84 include( "kernel/ezbulkmail/admin/maillist.php" );
85 }
86 break;
87
88 case "send" :
89 $SendButton = true;
90 case "preview" :
91 $EditButton = true;
92 case "view" :
93 {
94 $MailID = $url_array[3];
95 if( !is_numeric( $MailID ) )
96 {
97 eZHTTPTool::header( "Location: /error/404" );
98 exit();
99 }
100 include( "kernel/ezbulkmail/admin/mailview.php" );
101 }
102 break;
103
104
105 case "masssubscribe":
106 {
107 if ( $ini->variable( "eZBulkMailMain", "UseEZUser" ) == "enabled" )
108 {
109 eZHTTPTool::header( "Location: /error/404" );
110 exit();
111 }
112 include( "kernel/ezbulkmail/admin/masssubscribe.php" );
113 }
114 break;
115
116 case "userlist":
117 {
118 $CategoryID = $url_array[3];
119 if( !is_numeric( $CategoryID ) )
120 $CategoryID = 0;
121 include( "kernel/ezbulkmail/admin/userlist.php" );
122 }
123 break;
124
125 default:
126 {
127 eZHTTPTool::header( "Location: /error/404" );
128 exit();
129 }
130 break;
131 }
132
133 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$ini
$ini
Definition: classes/admin/linklist.php:64
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$user
$user
Definition: ezbulkmail/admin/datasupplier.php:30
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.